import { TimelineEvent, EventListener as TimelineEventListener } from '../models/types';
type InitialPayloadProvider = () => any;
export declare class TimelineEventDispatcher {
    private readonly initialPayloadProviders;
    private listeners;
    constructor(initialPayloadProviders?: Partial<Record<TimelineEvent, InitialPayloadProvider>>);
    on(event: TimelineEvent, listener: TimelineEventListener): void;
    off(event: TimelineEvent, listener: TimelineEventListener): void;
    emit(event: TimelineEvent, data?: any): void;
    clear(): void;
}
export {};
